package com.mortals.xhx.module.app.model;
import java.util.List;
import java.util.ArrayList;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.app.model.vo.AppVo;
/**
* 应用信息实体对象
*
* @author zxfei
* @date 2021-11-12
*/

public class AppEntity extends AppVo {
    private static final long serialVersionUID = 1L;

    /**
    * 应用名称
    */
    private String name;
    /**
    * 备注
    */
    private String remark;
    /**
    * 创建用户名称
    */
    private String createUserName;



    public AppEntity(){}
    /**
    * 获取 应用名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 应用名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 备注
    * @return String
    */
    public String getRemark(){
        return remark;
    }
    /**
    * 设置 备注
    * @param remark
    */
    public void setRemark(String remark){
        this.remark = remark;
    }
    /**
    * 获取 创建用户名称
    * @return String
    */
    public String getCreateUserName(){
        return createUserName;
    }
    /**
    * 设置 创建用户名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName){
        this.createUserName = createUserName;
    }




    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof AppEntity) {
            AppEntity tmp = (AppEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb.append(",name:").append(getName());
        sb.append(",remark:").append(getRemark());
        sb.append(",createUserName:").append(getCreateUserName());
        return sb.toString();
    }

    public void initAttrValue(){
            this.name = null;
            this.remark = null;
            this.createUserName = null;
    }
}